Groups
Groups categorize commercial relationships (customers, leads, prospects) for segmentation and reporting.
Use the Datastore_Group endpoint to query groups.
Endpoints
List Groups
GET
/v1/odata/Datastore_GroupSingle Group
GET
/v1/odata/Datastore_Group({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| CommercialRelation | Relationship_Organization_CommercialRelationship | 1:N | CommercialRelation |
| CommercialRelationship | Relationship_Person_CommercialRelationship | 1:N | CommercialRelationship |
Expanding Relationships
GET
/v1/odata/Datastore_Group({id})?$expand=CommercialRelationNavigating Relationships
GET
/v1/odata/Datastore_Group({id})/CommercialRelationFiltering Examples
GET
/v1/odata/Datastore_Group?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Group?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Group?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Group?$filter=IsDefault eq {IsDefault}&$top={top}